FIX::UtcTimeOnlyField Class Reference

Field that contains a UTC time value. More...

`#include <Field.h>`

Inheritance diagram for FIX::UtcTimeOnlyField:
[legend]
Collaboration diagram for FIX::UtcTimeOnlyField:
[legend]

## Public Member Functions

| UtcTimeOnlyField (int field, const UtcTimeOnly &data, int precision=0)
| UtcTimeOnlyField (int field, int precision=0)
void | setValue (const UtcTimeOnly &value)
UtcTimeOnly | getValue () const throw ( IncorrectDataFormat )
| operator UtcTimeOnly () const
bool | operator< (const UtcTimeOnlyField &rhs) const
bool | operator== (const UtcTimeOnlyField &rhs) const
bool | operator!= (const UtcTimeOnlyField &rhs) const
Public Member Functions inherited from FIX::FieldBase
| FieldBase (int tag, const std::string &string)
virtual | ~FieldBase ()
| FieldBase (const FieldBase &rhs)
FieldBase & | operator= (const FieldBase &rhs)
void | swap (FieldBase &rhs)
void | setTag (int tag)
void | setField (int field)
void | setString (const std::string &string)
int | getTag () const
| Get the fields integer tag. More...
int | getField () const
const std::string & | getString () const
| Get the string representation of the fields value. More...
const std::string & | getFixString () const
| Get the string representation of the Field (i.e.) 55=MSFT[SOH]. More...
size_t | getLength () const
| Get the length of the fields string representation. More...
int | getTotal () const
| Get the total value the fields characters added together. More...
bool | operator< (const FieldBase &field) const
| Compares fields based on their tag numbers. More...

## Detailed Description

Field that contains a UTC time value.

Definition at line 497 of file Field.h.

## Constructor & Destructor Documentation

## UtcTimeOnlyField() [1/2]

FIX::UtcTimeOnlyField::UtcTimeOnlyField | ( | int | field,
|  | const UtcTimeOnly & | data,
|  | int | precision = `0`
| ) |  |

inline explicit

Definition at line 500 of file Field.h.

: FieldBase( field, UtcTimeOnlyConvertor::convert( data, precision ) ) {}
FIX::FieldBase::FieldBase
FieldBase(int tag, std::string::const_iterator valueStart, std::string::const_iterator valueEnd, std::string::const_iterator tagStart, std::string::const_iterator tagEnd)
Constructor which also calculates field metrics.
Definition: Field.h:80
FIX::UtcTimeOnlyConvertor::convert
static std::string convert(const UtcTimeOnly &value, int precision=0)
Definition: FieldConvertors.h:548

## UtcTimeOnlyField() [2/2]

FIX::UtcTimeOnlyField::UtcTimeOnlyField | ( | int | field,
|  | int | precision = `0`
| ) |  |

inline

Definition at line 502 of file Field.h.

: FieldBase( field, UtcTimeOnlyConvertor::convert( UtcTimeOnly(), precision ) ) {}
FIX::TYPE::UtcTimeOnly
@ UtcTimeOnly
Definition: FieldTypes.h:933

## Member Function Documentation

## getValue()

UtcTimeOnly FIX::UtcTimeOnlyField::getValue | ( |  | ) | const
throw | ( | IncorrectDataFormat
| ) |  |

inline

Definition at line 507 of file Field.h.

{ try
{ return UtcTimeOnlyConvertor::convert( getString() ); }
catch( FieldConvertError& )
{ throw IncorrectDataFormat( getTag(), getString() ); } }
FIX::FieldBase::getTag
int getTag() const
Get the fields integer tag.
Definition: Field.h:144
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:152

References FIX::UtcTimeOnlyConvertor::convert(), FIX::FieldBase::getString(), and FIX::FieldBase::getTag().

Referenced by operator UtcTimeOnly(), operator!=(), operator<(), and operator==().

## operator UtcTimeOnly()

FIX::UtcTimeOnlyField::operator UtcTimeOnly | ( |  | ) | const

inline

Definition at line 512 of file Field.h.

{ return getValue(); }
FIX::UtcTimeOnlyField::getValue
UtcTimeOnly getValue() const
Definition: Field.h:507

References getValue().

## operator!=()

bool FIX::UtcTimeOnlyField::operator!= | ( | const UtcTimeOnlyField & | rhs | ) | const

inline

Definition at line 519 of file Field.h.

{ return getValue() != rhs.getValue(); }

References getValue().

## operator<()

bool FIX::UtcTimeOnlyField::operator< | ( | const UtcTimeOnlyField & | rhs | ) | const

inline

Definition at line 515 of file Field.h.

{ return getValue() < rhs.getValue(); }

References getValue().

## operator==()

bool FIX::UtcTimeOnlyField::operator== | ( | const UtcTimeOnlyField & | rhs | ) | const

inline

Definition at line 517 of file Field.h.

{ return getValue() == rhs.getValue(); }

References getValue().

## setValue()

void FIX::UtcTimeOnlyField::setValue | ( | const UtcTimeOnly & | value | ) |

inline

Definition at line 505 of file Field.h.

{ setString( UtcTimeOnlyConvertor::convert( value ) ); }
FIX::FieldBase::setString
void setString(const std::string &string)
Definition: Field.h:136

References FIX::UtcTimeOnlyConvertor::convert(), and FIX::FieldBase::setString().

The documentation for this class was generated from the following file:

- Field.h